﻿B4A=true
Group=Default Group
ModulesStructureVersion=1
Type=Activity
Version=9.801
@EndOfDesignText@
#Region  Activity Attributes 
	#FullScreen: False
	#IncludeTitle: True
#End Region

Sub Process_Globals
End Sub

Sub Globals
	Private AdRewardedVideo As FBAudienceNetworkRewardedVideo
	Private btnLoadAd As Button
	Private bthShowAd As Button
End Sub

Sub Activity_Create(FirstTime As Boolean)
	Activity.LoadLayout("rewarded_video")
	bthShowAd.Enabled = False
	btnLoadAd.Enabled = False
		
	' Demo Ad Type Table, check link below for test ads, as I have already provided one for you (VID_HD_16_9_15S_LINK#YOUR_PLACEMENT_ID).
	' https://developers.facebook.com/docs/audience-network/overview/in-house-mediation/server-to-server/testing/#demo-ad-type-table
	' 0, 0 = Country, State - more info https://developers.facebook.com/docs/marketing-apis/data-processing-options#reference
	AdRewardedVideo.InitializeRewardedVideoAd("AdRewardedVideo", "VID_HD_16_9_15S_LINK#YOUR_PLACEMENT_ID", 0, 0)
	AdRewardedVideo.LoadAd
End Sub

Sub Activity_Resume
End Sub

Sub Activity_Pause (UserClosed As Boolean)
	If UserClosed Then
		AdRewardedVideo.DestroyAd
	End If
	' Facebook Audience Network require to use DestroyAd on Activity_Destroy.
	' As B4a don't have that event, we use DestroyAd on Activity_Pause.
	' If you manually finish activity add both method before Activity.Finish
End Sub

Sub bthShowAd_Click
	bthShowAd.Enabled = False
	btnLoadAd.Enabled = True
	
	' Check if Ad is loaded.
	' Check if Ad is already expired or invalidated, and do not show Ad if that is the case. You will not get paid to show an invalidated Ad.
	If AdRewardedVideo.IsAdLoaded And AdRewardedVideo.IsAdInvalidated = False Then
		AdRewardedVideo.ShowAd
	End If	
End Sub

Sub btnLoadAd_Click
	btnLoadAd.Enabled = False
	AdRewardedVideo.LoadAd
End Sub

Sub AdRewardedVideo_AdClicked
	Log("Ad Clicked")
	' Rewarded video ad clicked
End Sub

Sub AdRewardedVideo_AdError (Error As String)
	btnLoadAd.Enabled = True
	Log(Error)
	' This is a common error seen while testing, and relates to a "No Fill" response;
	' the most common reason for this is the user is not logged in to the Facebook App
	' when testing your mobile app.
	' Error list: https://developers.facebook.com/docs/audience-network/guides/test/checklist-errors/
End Sub

Sub AdRewardedVideo_AdLoaded
	Log("Ad Loaded")
	bthShowAd.Enabled = True
	' Rewarded video ad is loaded and ready to be displayed.
End Sub

Sub AdRewardedVideo_AdLoggingImpression
	Log("Ad Logging Impression")
	' Rewarded Video ad impression - the event will fire when the video starts playing.
End Sub

Sub AdRewardedVideo_AdRewardedVideoClosed
	Log("Ad Closed")
	' The Rewarded Video ad was closed - this can occur during the video by closing the app, or closing the end card.
End Sub

Sub AdRewardedVideo_AdRewardedVideoCompleted
	Log("Ad Completed")
	' Rewarded Video View Complete - the video has been played To the End.
	' You can use this event to give your reward.
End Sub


